
QGIS Application - Bug report #11736

Processing "Join atributes by location" ignored the option "only keep matching record" when "take 

summary..." is used

2014-11-25 05:40 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19970

Description

subject says it all.

Works fine when used in the "vector" menu.

Associated revisions

Revision 0d8cb3c1 - 2014-12-11 11:43 AM - Alexander Bruy

[processing] fix wrong behavior in Join by location alg (fix #11736)

History

#1 - 2014-11-30 01:36 AM - Alexander Bruy

Hmm, I tested both tools and get same results

#2 - 2014-11-30 11:08 AM - Giovanni Manghi

try with this data (select polygons with lines). The option "only keep matching record" should allow select only polygons intersected by lines, but all are

selected (regardless of the  "take summary..." option, so the title is wrong).

https://www.dropbox.com/s/yatwduzxxqlo787/concelhos.cpg.zip?dl=0

#3 - 2014-12-11 02:45 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"0d8cb3c1a942d5886117eb4c5b4f3156370f6d13".

#4 - 2014-12-11 02:46 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Closed to In Progress

#5 - 2014-12-11 04:29 AM - Alexander Bruy

- Status changed from In Progress to Closed
